<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CPartnerParcelNumber
{
    /**
     * @var string
     */
    private $partner_number;

    public function getPartner_number(): string
    {
        return $this->partner_number;
    }

    public function withPartner_number(string $partner_number): CPartnerParcelNumber
    {
        $new = clone $this;
        $new->partner_number = $partner_number;

        return $new;
    }
}
